Subject: Re: bug#58063: 29.0.50; MacOS invalid display identifier

From: Gerd Möllmann <[email-masked]>
Date: Mon, 26 Sep 2022 07:00:10 +0200

Eli Zaretskii <[email-masked]> writes:

>> Process 3392 launched: '/Users/gerd/emacs/master/src/emacs' (arm64)
>> 2022-09-24 16:42:18.763856+0200 emacs[3392:4902280] [default]
>> invalid display identifier 1A03229E-1086-4973-94D0-5378DC025A1D
>
> What does "invalid display identifier" mean?

No idea.

> Is there any way of figuring out which code in Emacs triggers these
> messages?  If not, I think bisection is the best way to go.

With 568920a5b703e80c43e1b6f31778ea5776218a1e, I cannot reproduce it.

Hm, I wonder what's going on here.